# Module `wibox.layout.mirror`

### Info:

- Copyright: 2012 dodo
- Release: v3.5.4
- Author: dodo

## Functions

draw (wibox, cr, width, height) | Draw this layout
fit (...) | Fit this layout into the given area
set_widget (widget) | Set the widget that this layout mirrors.
reset () | Reset this layout.
set_reflection (reflection) | Set the reflection of this mirror layout.
get_reflection () | Get the reflection of this mirror layout.

## Functions

draw (wibox, cr, width, height)
  Draw this layout

  ### Parameters:

  - wibox
  - cr
  - width
  - height
fit (...)
  Fit this layout into the given area

  ### Parameters:

  - ...
set_widget (widget)
  Set the widget that this layout mirrors.

  ### Parameters:

  - widget The widget to mirror
reset ()
  Reset this layout. The widget will be removed and the axes reset.
set_reflection (reflection)
  Set the reflection of this mirror layout.

  ### Parameters:

  - reflection a table which contains new values for horizontal and/or vertical (booleans)
get_reflection ()
  Get the reflection of this mirror layout.

  ### Returns:

  a table of booleans with the keys "horizontal", "vertical".

generated by LDoc 1.4.2